### Linkedin Counter Watcher : 

- Adresse: https://spirit.niemes.info
- Mise à jour toutes les 4 secondes (limite 25 000 / 24H).

- config.js contient les informations distante (linkedin/serveur NodeJS)
- index.js objet info contient les parametres de l'application.

## Lancement : 
Cloner le depot puis a l'aide d'un terminal se placer dans le dossier du projet.

### Installer les dépendances
``npm install``

### Configurer le serveur :

Changer les informations dans le fichier **config.js** :

  -  clientId // linkedin API DEV APP
  -  clientSecret // linkedin API DEV APP
  -  redirectURI: 'https://spirit.niemes.info/callback', // Adresse utiliser du serveur nodeJS (serveur web/nom de domaine / IP:port/callback)
  -  usermail // notification config (mail utilisé pour l'envoie des notifications)
  -  passwd // notification config mot de passe utilisé pour l'envoie des notifications)
  -  contact // Liste addresse email à notifier.

Dans le fichier **index.js** :

Modifier l'ID de l'entreprise dans l'objet info selon ( 3 valeurs configurables au besoins): 

```
{
    companyID: 991997, // spirit_3 company page 
    orgaName: "spirit_3",
    updateTime: 4000, // 25000 Api call / 24H,
}
```

### Lancement du serveur

 ``npm start``

Pour automatiser le serveur utiliser pm2 : 

``npm i pm2 -g && pm2 start ./index.js --name=linkedinfollow``

### Routes : 

- serveur:port/ // Page racine avec le nombre de followers
- serveur:port/auth // Permet de lancer une page de connection Linkedin pour avoir les autorisations de l'utilisateur
- serveur:port/callback // Redirection automatique apres la génération d'un access_token depuis la page /auth

## Informations :

Un token d'autorisation est valable 60 jours. Passé ce delai, il faut renouveller les droits. Un email de notification est envoyé avec le lien de configuration lorsque cela est nécéssaire.

## Licence : 

Copyright Niemeskern Kévin 2021.